Download your favorite Linux distribution at LQ ISO.
Go Back > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Debian This forum is for the discussion of Debian Linux.


  Search this Thread
Old 06-20-2012, 05:38 AM   #1
Senior Member
Registered: Sep 2003
Distribution: Debian Squeeze / Wheezy
Posts: 1,619

Rep: Reputation: 49
exclude some packages from updates using 'apt-get update'


I have wheezy installed.
Howto exclude some packages from updates using 'apt-get update'?
Old 06-20-2012, 05:48 AM   #2
Senior Member
Registered: Apr 2005
Location: OZ
Distribution: Debian Sid
Posts: 4,734
Blog Entries: 12

Rep: Reputation: 459Reputation: 459Reputation: 459Reputation: 459Reputation: 459
Either use apt-pinning or hold the packages you do not want updated.
Old 06-21-2012, 05:58 AM   #3
Senior Member
Registered: Apr 2005
Posts: 1,687
Blog Entries: 3

Rep: Reputation: 708Reputation: 708Reputation: 708Reputation: 708Reputation: 708Reputation: 708Reputation: 708
For apt-get
# echo "package-foo hold" | dpkg --set-selections
For aptitude (but the hold only applies to aptitude - apt-get will still go ahead and upgrade)
# aptitude hold package-foo
To prevent a specific version being installed with aptitude (i.e. this won't stop 0.0.1-buggy2 being installed or from apt-get installing 0.0.1-buggy1)
# aptitude forbid-version package-foo=0.0.1-buggy1
Where "package-foo" is the name of the package you want to put on hold.
1 members found this post helpful.


apt-get update, exclude, packages

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
How to exclude kernel* from apt-get update upgrade? pridefc Ubuntu 5 09-20-2011 12:32 PM
How can I exclude some packages from Yum updates ? alMubarmij Fedora 6 03-29-2009 02:05 AM
stupidly deleted security packages/folder and now apt-get won't update Cyberman Debian 1 07-04-2008 04:37 PM
Packages.gz without lib dependencies: error when apt-get update Xeratul Linux - General 0 02-12-2007 04:59 PM
apt question: exclude certain packages from upgrading? ice99 Linux - Software 1 09-21-2005 10:18 PM

All times are GMT -5. The time now is 10:42 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration